KDE 4.9 PyKDE API Reference

- KDE's Python API

# KPageModel Class Reference

`from PyKDE4.kdeui import *`

Inherits: QAbstractItemModel → QObject
Subclasses: KPageWidgetModel

## Detailed Description

A base class for a model used by KPageView.

This class is an abstract base class which must be used to implement custom models for KPageView. Additional to the standard Qt.ItemDataRoles it provides the two roles

- HeaderRole
- WidgetRole

which are used to return a header string for a page and a QWidget pointer to the page itself.

Example:\n

        KPageView *view = new KPageView( this );
        KPageModel *model = new MyPageModel( this );

        view->setModel( model );

See also:
  KPageView

Author:
  Tobias Koenig <tokoe@kde.org>

## Enumerations

Role | { HeaderRole, WidgetRole }

## Methods

| __init__ (self, QObject parent=0)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructs a page model with the given parent.

## Enumeration Documentation

Role

Additional roles that KPageView uses.

Enumerator:

  Client |
  WindowManager |